---
title: LIRS
---

Last-modified Information Relaying Specification (LIRS) was a syndication
format.  It was a Japanese version of RSS, like [Hina-Di][hina], but based
on CSV instead of XML or RFC 822 headers.

## Specification

The various releases are numbered by date, as some releases have the same
version number.

### 1999-11-03, ver.1.1

Recovered [from harmonicom.jp](http://www.harmonicom.jp/natsu/natsu2.3/docs/LIRS.html).
[Local copy available](./1999-11-03.html) in UTF-8.

### 2000-10-13, ver.2.1

Recovered [from urawa-reds.org](https://urawa-reds.org/natsu/doc/LIRS.html).
[Local copy available](./2000-10-13.html) in UTF-8.

### 2001-12-16, ver.2.1

Recovered [from the Wayback Machine][wayback].
[Local copy available](./original.html) in UTF-8.

An unofficial [English translation](./spec.html) of mine is available.

## Known implementations

* Official Perl 5 module: [LIRS.pm][LIRS.pm]
* [Text::LIRS][Text::LIRS], previously known as Meta::LIRS
* [lirs.rb][lirs.rb] (dead link), a Ruby module for LIRS
* [Natsu][natsu]: Perl CGI scripts for LIRS, HINA 1.x and HINA 2.x

I could not recover the source code for the last two implementations;
if you have them, please [contact][contact] me!

[hina]: ../hina/index.html
[wayback]: https://web.archive.org/web/20041204124747/http://aniki.haun.org:80/natsu/LIRS.html
[LIRS.pm]: https://web.archive.org/web/20020621223342/http://amano.haun.org:80/LIRS.pm
[Text::LIRS]: https://web.archive.org/web/20031211200149/http://m-factory.zone.ne.jp:80/archive/
[lirs.rb]: http://www.open-news.com/~maki/di/lirs.rb
[natsu]: http://www.harmonicom.jp/natsu/
[contact]: https://tilde.town/~lucidiot/contact.html
