---
title: PlayStation Portable
---

## Games I like (non-exhaustive)

* Little Big Planet
* Need for Speed Most Wanted 5-1-0
* Grand Theft Auto: Vice City Stories
* Grand Theft Auto: Liberty City Stories
* Bejeweled 2
* wipeOut Pure
* wipeOut Pulse

## Projects

A PSP is in that strange place in the middle of normal gaming and
retro-gaming; I count it in my retro-computing hobbies.

When it came out, it was way ahead of its time in terms of hardware,
of graphics quality, or features.  It was one of the first handheld consoles
to truly be aimed at the Internet.  The PSP's internet features have sadly
been slowly degrading with the evolution of Internet standards and the lack
of interest from various hackers to play with those; most people are only
focused on PSP games.

### Archival

Preserve what remains of the PSP's official websites and documentation,
especially what can be relevant to the PSP's internet features.

### CXML

Reverse-engineer a format used in multiple files of the PSP, such as
Internet Radios, folder thumbnails, etc.

<https://tildegit.org/lucidiot/cxml>

### SensMe

While archiving the websites, I re-discovered SensMe Channels.

With some general knowledge I acquired about machine learning concepts at the
workplace, I want to try to understand how SensMe works by comparing it to
modern music classifiers and analyzing its data structures.

### PSP Server

There have been a few attempts at making PSP HTTP servers:

* [PSP HTTPD](http://web.archive.org/web/20050827120434/http://www.microsith.com/psp-http/)
* [PPSPS](http://web.archive.org/web/20060703011157/http://www.pspproject.net:80/)

Another interesting project is [Peldet][peldet], a PSP Telnet/IRC client.

We want to have a new take at this and make a server out of a PSP.  Not just
HTTP, anything goes; we just want to see a PSP in the wild being used as a
server.  Some ideas:

* An HTTP server that returns the GPS coordinates
* An HTTP server that returns a picture taken with the PSP's Go!Cam
* A remote job entry service; send some code and the PSP returns its result

We might place a PSP running the Go!Cam service on a hill, as we had done
before with a Raspberry Pi.

[peldet]: http://web.archive.org/web/20181215224438/http://localhost.geek.nz/telnet/
