<?xml version="1.0" encoding="utf-8"?>

<xsl:stylesheet version="1.0"
  xmlns="https://msdn.microsoft.com/workshop/standards/cdf/"
  xmlns:xsi="https://www.w3.org/1999/XMLSchema-instance"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xsi:schemaLocation="https://msdn.microsoft.com/workshop/standards/cdf/ ../assets/xsd/cdf.xsd">

  <xsl:template match="tree">
    <CHANNEL>
      <xsl:apply-templates select="report" />
      <xsl:apply-templates select="./file | ./directory/file | ./directory/directory">
        <xsl:with-param name="base" select="'/~lucidiot'" />
      </xsl:apply-templates>
      <TITLE>lucidiot's wiki</TITLE>
    </CHANNEL>
  </xsl:template>

  <xsl:template match="file">
    <xsl:param name="base" />
    <ITEM SHOW="Channel">
      <A>
        <xsl:attribute name="HREF">
          <xsl:value-of select="$base" />
          <xsl:text>/</xsl:text>
          <xsl:value-of select="@name" />
        </xsl:attribute>
      </A>

      <xsl:if test="@size">
        <ABSTRACT>
          <xsl:value-of select="@size" />
          <xsl:text> bytes</xsl:text>
        </ABSTRACT>
      </xsl:if>

      <TITLE>
        <xsl:value-of select="@name" />
      </TITLE>

      <USAGE VALUE="Channel" />
    </ITEM>
  </xsl:template>
  
  <xsl:template match="directory">
    <xsl:param name="base" />
    <CHANNEL>
      <A>
        <xsl:attribute name="HREF">
          <xsl:value-of select="$base" />
          <xsl:text>/</xsl:text>
          <xsl:value-of select="@name" />
          <xsl:text>/</xsl:text>
        </xsl:attribute>
      </A>

      <xsl:if test="@size">
        <ABSTRACT>
          <xsl:value-of select="@size" />
          <xsl:text> bytes</xsl:text>
        </ABSTRACT>
      </xsl:if>
 
      <xsl:apply-templates select="file | directory">
        <xsl:with-param name="base" select="concat($base, '/', @name)" />
      </xsl:apply-templates>

      <TITLE>
        <xsl:value-of select="@name" />
      </TITLE>
    </CHANNEL>
  </xsl:template>

  <xsl:template match="report">
    <ABSTRACT>
      <xsl:value-of select="directories" />
      <xsl:text> director</xsl:text>
      <xsl:choose>
        <xsl:when test="directories/text() = '1'">
          <xsl:text>y</xsl:text>
        </xsl:when>
        <xsl:otherwise>
          <xsl:text>ies</xsl:text>
        </xsl:otherwise>
      </xsl:choose>
      <xsl:text> and </xsl:text>
      <xsl:value-of select="files" />
      <xsl:text> file</xsl:text>
      <xsl:if test="files/text() != '1'">
        <xsl:text>s</xsl:text>
      </xsl:if>
      <xsl:if test="size">
        <xsl:text>, </xsl:text>
        <xsl:value-of select="size" />
        <xsl:text> bytes</xsl:text>
      </xsl:if>
    </ABSTRACT>
  </xsl:template>
  
</xsl:stylesheet>
